@import "../../assets/variables";

.header {
  $root: &;
  padding: 0 $padding-md;
  border-bottom: 1px solid $color-gray;
  position: relative;

  background: $color-white;

  &__container {
    height: 60px;

    max-width: $content-width;
    margin: 0 auto;

    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;
  }

  &__menu {
    flex-grow: 1;
    height: 100%;

    .menu {
      height: 100%;
    }
  }

  &__logo {
    flex-shrink: 0;
    height: 100%;

    .menu {
      height: 100%;
    }
  }

  &__side {
    flex-grow: 1;
    height: 100%;

    display: flex;
    justify-content: flex-end;

    .menu {
      height: 100%;
    }
  }

  &__menu-trigger {
    margin-left: auto;
  }

  &__popup {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;

    z-index: 10;

    background: $color-gray-fill;
  }

  &--isMobile,
  &--isTablet {
    #{$root} {
      &__container {
        display: flex;
      }
    }
  }
}
